HMWKTextInternal::Section Struct Reference

Internal: class to store a section of a HMWKText. More...

## Public Member Functions

| Section ()
| constructor More...
MWAWSection | getSection () const
| returns a MWAWSection More...

## Public Attributes

int | m_numCols
| the number of column More...
std::vector< double > | m_colWidth
| the columns width More...
std::vector< double > | m_colSep
| the columns separator width More...
long | m_id
| the id More...
std::string | m_extra
| extra string string More...

## Friends

std::ostream & | operator<< (std::ostream &o, Section const &sec)
| operator<< More...

## Detailed Description

Internal: class to store a section of a HMWKText.

## Constructor & Destructor Documentation

HMWKTextInternal::Section::Section | ( |  | ) |

inline

constructor

## Member Function Documentation

MWAWSection HMWKTextInternal::Section::getSection | ( |  | ) | const

inline

returns a MWAWSection

Referenced by HMWKText::sendText().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Section const & | sec
| ) |  |

friend

operator<<

## Member Data Documentation

std::vector<double> HMWKTextInternal::Section::m_colSep

the columns separator width

Referenced by getSection(), and HMWKText::readSections().

std::vector<double> HMWKTextInternal::Section::m_colWidth

the columns width

Referenced by getSection(), HMWKText::readSections(), and HMWKText::sendText().

std::string HMWKTextInternal::Section::m_extra

extra string string

Referenced by HMWKText::readSections().

long HMWKTextInternal::Section::m_id

the id

int HMWKTextInternal::Section::m_numCols

the number of column

Referenced by getSection(), HMWKText::readSections(), and HMWKText::sendText().

The documentation for this struct was generated from the following file:

- HMWKText.cxx